Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 23 Nov 2014, 03:31
All times are UTC - 4
 Forum index » House Training » HOWTO ( Solutions )
Imgur image upload GUI script
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [2 Posts]  
Author Message
stu90


Joined: 25 Feb 2010
Posts: 1401
Location: England. Dell Inspiron 1501. Dpup

PostPosted: Fri 09 Sep 2011, 11:08    Post subject:  Imgur image upload GUI script
Subject description: for imgur.com image hosting.
 

Here is a Yad GUI script for uploading an image from your computer to imgur.com image hosting and generates links needed for easy cut and paste into forum posts etc.



script (requires Yad) name it imgur and put it in PATH /usr/bin/ or /root/my-applications/bin/

Code:
#!/bin/bash

###GUI for imgur script by Bart Nagel <bart@tremby.net>###
###upload local image to www.imgur.com image hosting service###
##Stu90###
#

  ### root password for user fido ###
  [ "`whoami`" != "root" ] && exec sudo -A ${0} ${@}


TEXT=" Select an image to upload to www.imgur.com "
NAME="Imgur upload"
VER="0.1"


GUI1=$(yad --title="$NAME $VER" --text="$TEXT" --form --field="Image:FL" --button="gtk-quit:1" --button="gtk-ok:0")

BUTTON=$?

   if [ "$GUI1" = "" ]; then
   echo "Exiting" && exit
   fi

case $BUTTON in
0)


GETIMG="`echo $GUI1 | cut -d '|' -f 1`"
echo "$GETIMG"

# API Key provided by Alan@imgur.com
apikey="b3625162d3418ac51a9ee805b1840452"

# upload the image
response=$(curl -F "key=$apikey" -H "Expect: " -F "image=@$GETIMG" \
        http://imgur.com/api/upload.xml 2>/dev/null)
# the "Expect: " header is to get around a problem when using this through the
# Squid proxy. Not sure if it's a Squid bug or what.
if [ $? -ne 0 ]; then
        echo "Upload failed" >&2
        exit 2
elif [ $(echo $response | grep -c "<error_msg>") -gt 0 ]; then
        echo "Error message from imgur:" >&2
        echo $response | sed -r 's/.*<error_msg>(.*)<\/error_msg>.*/\1/' >&2
        exit 3
fi

# parse the response and output our stuff
url=$(echo $response | sed -r 's/.*<original_image>(.*)<\/original_image>.*/\1/')
deleteurl=$(echo $response | sed -r 's/.*<delete_page>(.*)<\/delete_page>.*/\1/')
echo $url
echo "Delete page: $deleteurl" >&2

##thumb nail image##
url1="` echo $url |  cut -d "." -f -3 `"
format="` echo $url |  cut -d "." -f 4- `"
urlthumb="$url1"l."$format"


##imge links gui##
GUI2=$(yad --title="$NAME $VER" --text=" Cut and paste one of the image options from the boxes below " --form \
--field="Forum Thumb" "[IMG]$urlthumb[/IMG]" \
--field="Forum Full" "[IMG]$url[/IMG]" \
--field="Direct URL" "$url" \
--field="Delete page" "$deleteurl" \
--button="gtk-quit")

   if [ "$GUI2" = "" ]; then
   echo "Exiting" && exit
   fi

;;
   
1)
    echo "Quit selected - Exiting" && exit
;;
esac
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5465
Location: Finland

PostPosted: Fri 09 Sep 2011, 14:06    Post subject:  

This one is real handy quick and clean pics uploader and url creator.
Really nice. Thank you. This one definitively earns DOTdesktop and place in menu also. Very Happy
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [2 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » HOWTO ( Solutions )
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0512s ][ Queries: 12 (0.0090s) ][ GZIP on ]